using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库管理控制措施
    /// </summary>
    [Description("导航属性：危险源及风险库管理控制措施")]
    public class T_HM_EVALUATE_RISK_MANAGEMENT_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskManagementMeasures")]
        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 管理控制措施
        /// </summary>
        [Description("管理控制措施")]
        [DataFieldForeignKey("Nav_ManagementMeasures")]
        [FormFieldEdit]
        public Guid MANAGEMENT_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：管理控制措施
        /// </summary>
        [Description("导航属性：管理控制措施")]
        public T_HM_MANAGEMENT_MEASURES Nav_ManagementMeasures { get; set; }
    }
}
